> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an Account Lock



## OpenAPI

````yaml api-reference/openapi-account.json GET /account_lock/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account_lock/{id}:
    get:
      tags:
        - Account
      summary: Fetch an Account Lock
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_1234567890
                    additional_context: ach_123453254 is disputed by customer.
                    bank_id: bank_treasuryprime
                    id: lock_1234567890
                    locked: false
                    org_id: org_1234567890
                    reason: transactions_being_investigated_ACH
                    released_at: '2024-04-02T11:55:14Z'
              schema:
                properties:
                  account_id:
                    description: >-
                      ID of account that is associated with the account lock.
                      Filterable.
                    type: string
                  additional_context:
                    description: Additional context about the lock
                    type: string
                  bank_id:
                    description: >-
                      ID of bank that is associated with the account lock.
                      Filterable.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  locked:
                    description: '`true` if the account lock is active. Filterable.'
                    enum:
                      - 'true'
                      - 'false'
                    type: string
                  org_id:
                    description: >-
                      ID of organization that is associated with the account
                      lock. Filterable.
                    type: string
                  reason:
                    description: |-
                      Reason for locking account. One of 
                      `transactions_being_investigated_wire`, 
                      `transactions_being_investigated_card`, 
                      `transactions_being_investigated_ACH`, 
                      `transactions_being_investigated_check_issued`, 
                      `transactions_being_investigated_check_deposit`, 
                      `identity_of_customer_being_investigated`.
                    type: string
                  released_at:
                    description: Timestamp of when the account lock was released
                    type: string
          description: The lock
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````